KGB-CI-REPORT(1p)

NAME
kgb-ci-report - put DebCI status of maintained packages on IRC

SYNOPSIS
kgb-ci-report --maintainer email --kgb-config path [option...]

DESCRIPTION
kgb-ci-report retrieves tha packages with failing CI tests and reports a summary on IRC via kgb-client(1).

The packages are filtered by maintainer email. Intented purpose is invoking it from cron, e.g. daily.

It uses UDD (<https://udd.debian.org>) to get the information about the maintained packages, and <https://ci.debian.net> to fetch their status.

OPTIONS

--maintainer email
-m email
    Maintainer email. Mandatory. If repeated multiple times all packages maintained by any of the emails are considered in the report.

--kgb-config path
    Path to the kgb-client(1) configuration. Mandatory.

--quiet
    Stop reporting progress and results.

--distribution name
    Set the wanted distribution when retrieving the list of maintained packages. Defaults to "debian".

--release codename
    Sets the wanted release name when retrieving the list of maintained packages. Defaults to "sid".

--kgb-client path
    Path to the kgb-client executable. Defaults to "kgb-client".

AUTHOR, COPYRIGHT AND LICENSE
kgb-ci-report was written during the pkg-perl sprint in Barcelona 2015. <https://wiki.debian.org/Sprints/2015/DebianPerlSprint>

Copyright (C) 2015 Damyan Ivanov dmn@debian.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.